//
// Copyright (C) 2022 Open Source Robotics Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        (unknown)
// source: services/ci_service.proto

package services

import (
	domain "gitlab.com/ignitionrobotics/cloudsim/api/domain"
	metadata "gitlab.com/ignitionrobotics/cloudsim/api/metadata"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// ListSuiteBySHARequest is the input for the ListSuitesBySHA method.
type ListSuiteBySHARequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Metadata contains request metadata.
	Metadata *ListSuiteBySHARequest_Metadata `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	// Sha contains the commit sha used to identify suites.
	Sha string `protobuf:"bytes,2,opt,name=sha,proto3" json:"sha,omitempty"`
}

func (x *ListSuiteBySHARequest) Reset() {
	*x = ListSuiteBySHARequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSuiteBySHARequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSuiteBySHARequest) ProtoMessage() {}

func (x *ListSuiteBySHARequest) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSuiteBySHARequest.ProtoReflect.Descriptor instead.
func (*ListSuiteBySHARequest) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{0}
}

func (x *ListSuiteBySHARequest) GetMetadata() *ListSuiteBySHARequest_Metadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *ListSuiteBySHARequest) GetSha() string {
	if x != nil {
		return x.Sha
	}
	return ""
}

// ListSuitesRequest is the input for the ListSuites method.
type ListSuitesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Metadata contains request metadata.
	Metadata *ListSuitesRequest_Metadata `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
}

func (x *ListSuitesRequest) Reset() {
	*x = ListSuitesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSuitesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSuitesRequest) ProtoMessage() {}

func (x *ListSuitesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSuitesRequest.ProtoReflect.Descriptor instead.
func (*ListSuitesRequest) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{1}
}

func (x *ListSuitesRequest) GetMetadata() *ListSuitesRequest_Metadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

// ListSuitesResponse returns a set of suites when calling a listing method.
type ListSuitesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Metadata contains response metadata.
	Metadata *ListSuitesResponse_Metadata `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	// Suites contains suite data.
	Suites []*domain.Suite `protobuf:"bytes,2,rep,name=suites,proto3" json:"suites,omitempty"`
}

func (x *ListSuitesResponse) Reset() {
	*x = ListSuitesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSuitesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSuitesResponse) ProtoMessage() {}

func (x *ListSuitesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSuitesResponse.ProtoReflect.Descriptor instead.
func (*ListSuitesResponse) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{2}
}

func (x *ListSuitesResponse) GetMetadata() *ListSuitesResponse_Metadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *ListSuitesResponse) GetSuites() []*domain.Suite {
	if x != nil {
		return x.Suites
	}
	return nil
}

// ReRequestSuiteRequest is used as the input for the ReRequestSuite operation.
type ReRequestSuiteRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Sha contains the commit sha of the Suite that needs to be re-requested.
	Sha string `protobuf:"bytes,1,opt,name=sha,proto3" json:"sha,omitempty"`
}

func (x *ReRequestSuiteRequest) Reset() {
	*x = ReRequestSuiteRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReRequestSuiteRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReRequestSuiteRequest) ProtoMessage() {}

func (x *ReRequestSuiteRequest) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReRequestSuiteRequest.ProtoReflect.Descriptor instead.
func (*ReRequestSuiteRequest) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{3}
}

func (x *ReRequestSuiteRequest) GetSha() string {
	if x != nil {
		return x.Sha
	}
	return ""
}

// ReRequestScenarioRequest is used as the input for the ReRequestScenario operation.
type ReRequestScenarioRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Sha is the commit sha of the Suite that contains the scenario to be re-requested.
	Sha string `protobuf:"bytes,1,opt,name=sha,proto3" json:"sha,omitempty"`
	// GroupId is the simulation id of the scenario that needs to be re-requested.
	GroupId string `protobuf:"bytes,2,opt,name=group_id,json=groupId,proto3" json:"group_id,omitempty"`
}

func (x *ReRequestScenarioRequest) Reset() {
	*x = ReRequestScenarioRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReRequestScenarioRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReRequestScenarioRequest) ProtoMessage() {}

func (x *ReRequestScenarioRequest) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReRequestScenarioRequest.ProtoReflect.Descriptor instead.
func (*ReRequestScenarioRequest) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{4}
}

func (x *ReRequestScenarioRequest) GetSha() string {
	if x != nil {
		return x.Sha
	}
	return ""
}

func (x *ReRequestScenarioRequest) GetGroupId() string {
	if x != nil {
		return x.GroupId
	}
	return ""
}

type ListSuiteBySHARequest_Metadata struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Pagination contains paging metadata.
	Pagination *metadata.PaginationRequest `protobuf:"bytes,1,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSuiteBySHARequest_Metadata) Reset() {
	*x = ListSuiteBySHARequest_Metadata{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSuiteBySHARequest_Metadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSuiteBySHARequest_Metadata) ProtoMessage() {}

func (x *ListSuiteBySHARequest_Metadata) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSuiteBySHARequest_Metadata.ProtoReflect.Descriptor instead.
func (*ListSuiteBySHARequest_Metadata) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{0, 0}
}

func (x *ListSuiteBySHARequest_Metadata) GetPagination() *metadata.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListSuitesRequest_Metadata struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Pagination contains paging metadata.
	Pagination *metadata.PaginationRequest `protobuf:"bytes,1,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSuitesRequest_Metadata) Reset() {
	*x = ListSuitesRequest_Metadata{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSuitesRequest_Metadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSuitesRequest_Metadata) ProtoMessage() {}

func (x *ListSuitesRequest_Metadata) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSuitesRequest_Metadata.ProtoReflect.Descriptor instead.
func (*ListSuitesRequest_Metadata) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{1, 0}
}

func (x *ListSuitesRequest_Metadata) GetPagination() *metadata.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListSuitesResponse_Metadata struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Pagination contains paging metadata.
	Pagination *metadata.PaginationResponse `protobuf:"bytes,1,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSuitesResponse_Metadata) Reset() {
	*x = ListSuitesResponse_Metadata{}
	if protoimpl.UnsafeEnabled {
		mi := &file_services_ci_service_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSuitesResponse_Metadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSuitesResponse_Metadata) ProtoMessage() {}

func (x *ListSuitesResponse_Metadata) ProtoReflect() protoreflect.Message {
	mi := &file_services_ci_service_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSuitesResponse_Metadata.ProtoReflect.Descriptor instead.
func (*ListSuitesResponse_Metadata) Descriptor() ([]byte, []int) {
	return file_services_ci_service_proto_rawDescGZIP(), []int{2, 0}
}

func (x *ListSuitesResponse_Metadata) GetPagination() *metadata.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

var File_services_ci_service_proto protoreflect.FileDescriptor

var file_services_ci_service_proto_rawDesc = []byte{
	0x0a, 0x19, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x69, 0x5f, 0x73, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x73, 0x1a, 0x12, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2f, 0x73, 0x75,
	0x69, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x64, 0x6f, 0x6d, 0x61, 0x69,
	0x6e, 0x2f, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x19, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2f, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb8, 0x01, 0x0a, 0x15,
	0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x42, 0x79, 0x53, 0x48, 0x41, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x44, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x42, 0x79, 0x53, 0x48,
	0x41, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x10, 0x0a, 0x03, 0x73,
	0x68, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x73, 0x68, 0x61, 0x1a, 0x47, 0x0a,
	0x08, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x3b, 0x0a, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e,
	0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x9e, 0x01, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x53,
	0x75, 0x69, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x40, 0x0a, 0x08,
	0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24,
	0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75,
	0x69, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x4d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x1a, 0x47,
	0x0a, 0x08, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x3b, 0x0a, 0x0a, 0x70, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b,
	0x2e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xc8, 0x01, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74,
	0x53, 0x75, 0x69, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x41,
	0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x25, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x53, 0x75, 0x69, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x12, 0x25, 0x0a, 0x06, 0x73, 0x75, 0x69, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x0d, 0x2e, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x53, 0x75, 0x69, 0x74, 0x65,
	0x52, 0x06, 0x73, 0x75, 0x69, 0x74, 0x65, 0x73, 0x1a, 0x48, 0x0a, 0x08, 0x4d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x12, 0x3c, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x6d, 0x65, 0x74, 0x61, 0x64,
	0x61, 0x74, 0x61, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x22, 0x29, 0x0a, 0x15, 0x52, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x53,
	0x75, 0x69, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x73,
	0x68, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x73, 0x68, 0x61, 0x22, 0x47, 0x0a,
	0x18, 0x52, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72,
	0x69, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x73, 0x68, 0x61,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x73, 0x68, 0x61, 0x12, 0x19, 0x0a, 0x08, 0x67,
	0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x67,
	0x72, 0x6f, 0x75, 0x70, 0x49, 0x64, 0x32, 0xce, 0x02, 0x0a, 0x1c, 0x43, 0x6f, 0x6e, 0x74, 0x69,
	0x6e, 0x75, 0x6f, 0x75, 0x73, 0x49, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x49, 0x0a, 0x0a, 0x4c, 0x69, 0x73, 0x74, 0x53,
	0x75, 0x69, 0x74, 0x65, 0x73, 0x12, 0x1b, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x00, 0x12, 0x52, 0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x73,
	0x42, 0x79, 0x53, 0x48, 0x41, 0x12, 0x1f, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x42, 0x79, 0x53, 0x48, 0x41, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x42, 0x0a, 0x0e, 0x52, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x53, 0x75, 0x69, 0x74, 0x65, 0x12, 0x1f, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x73, 0x2e, 0x52, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x53, 0x75, 0x69,
	0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x0d, 0x2e, 0x64, 0x6f, 0x6d, 0x61,
	0x69, 0x6e, 0x2e, 0x53, 0x75, 0x69, 0x74, 0x65, 0x22, 0x00, 0x12, 0x4b, 0x0a, 0x11, 0x52, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x12,
	0x22, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x52, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x10, 0x2e, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x53, 0x63, 0x65,
	0x6e, 0x61, 0x72, 0x69, 0x6f, 0x22, 0x00, 0x42, 0x33, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x67, 0x6e, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x72, 0x6f,
	0x62, 0x6f, 0x74, 0x69, 0x63, 0x73, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x73, 0x69, 0x6d, 0x2f,
	0x61, 0x70, 0x69, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_services_ci_service_proto_rawDescOnce sync.Once
	file_services_ci_service_proto_rawDescData = file_services_ci_service_proto_rawDesc
)

func file_services_ci_service_proto_rawDescGZIP() []byte {
	file_services_ci_service_proto_rawDescOnce.Do(func() {
		file_services_ci_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_services_ci_service_proto_rawDescData)
	})
	return file_services_ci_service_proto_rawDescData
}

var file_services_ci_service_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_services_ci_service_proto_goTypes = []interface{}{
	(*ListSuiteBySHARequest)(nil),          // 0: services.ListSuiteBySHARequest
	(*ListSuitesRequest)(nil),              // 1: services.ListSuitesRequest
	(*ListSuitesResponse)(nil),             // 2: services.ListSuitesResponse
	(*ReRequestSuiteRequest)(nil),          // 3: services.ReRequestSuiteRequest
	(*ReRequestScenarioRequest)(nil),       // 4: services.ReRequestScenarioRequest
	(*ListSuiteBySHARequest_Metadata)(nil), // 5: services.ListSuiteBySHARequest.Metadata
	(*ListSuitesRequest_Metadata)(nil),     // 6: services.ListSuitesRequest.Metadata
	(*ListSuitesResponse_Metadata)(nil),    // 7: services.ListSuitesResponse.Metadata
	(*domain.Suite)(nil),                   // 8: domain.Suite
	(*metadata.PaginationRequest)(nil),     // 9: metadata.PaginationRequest
	(*metadata.PaginationResponse)(nil),    // 10: metadata.PaginationResponse
	(*domain.Scenario)(nil),                // 11: domain.Scenario
}
var file_services_ci_service_proto_depIdxs = []int32{
	5,  // 0: services.ListSuiteBySHARequest.metadata:type_name -> services.ListSuiteBySHARequest.Metadata
	6,  // 1: services.ListSuitesRequest.metadata:type_name -> services.ListSuitesRequest.Metadata
	7,  // 2: services.ListSuitesResponse.metadata:type_name -> services.ListSuitesResponse.Metadata
	8,  // 3: services.ListSuitesResponse.suites:type_name -> domain.Suite
	9,  // 4: services.ListSuiteBySHARequest.Metadata.pagination:type_name -> metadata.PaginationRequest
	9,  // 5: services.ListSuitesRequest.Metadata.pagination:type_name -> metadata.PaginationRequest
	10, // 6: services.ListSuitesResponse.Metadata.pagination:type_name -> metadata.PaginationResponse
	1,  // 7: services.ContinuousIntegrationService.ListSuites:input_type -> services.ListSuitesRequest
	0,  // 8: services.ContinuousIntegrationService.ListSuitesBySHA:input_type -> services.ListSuiteBySHARequest
	3,  // 9: services.ContinuousIntegrationService.ReRequestSuite:input_type -> services.ReRequestSuiteRequest
	4,  // 10: services.ContinuousIntegrationService.ReRequestScenario:input_type -> services.ReRequestScenarioRequest
	2,  // 11: services.ContinuousIntegrationService.ListSuites:output_type -> services.ListSuitesResponse
	2,  // 12: services.ContinuousIntegrationService.ListSuitesBySHA:output_type -> services.ListSuitesResponse
	8,  // 13: services.ContinuousIntegrationService.ReRequestSuite:output_type -> domain.Suite
	11, // 14: services.ContinuousIntegrationService.ReRequestScenario:output_type -> domain.Scenario
	11, // [11:15] is the sub-list for method output_type
	7,  // [7:11] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_services_ci_service_proto_init() }
func file_services_ci_service_proto_init() {
	if File_services_ci_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_services_ci_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSuiteBySHARequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_services_ci_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSuitesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_services_ci_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSuitesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_services_ci_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReRequestSuiteRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_services_ci_service_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReRequestScenarioRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_services_ci_service_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSuiteBySHARequest_Metadata); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_services_ci_service_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSuitesRequest_Metadata); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_services_ci_service_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSuitesResponse_Metadata); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_services_ci_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_services_ci_service_proto_goTypes,
		DependencyIndexes: file_services_ci_service_proto_depIdxs,
		MessageInfos:      file_services_ci_service_proto_msgTypes,
	}.Build()
	File_services_ci_service_proto = out.File
	file_services_ci_service_proto_rawDesc = nil
	file_services_ci_service_proto_goTypes = nil
	file_services_ci_service_proto_depIdxs = nil
}
